Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 386107 - net-firewall/iptables-1.4.12.1-r1 init script should change opts variable to use either extra_commands or extra_started_commands
Summary: net-firewall/iptables-1.4.12.1-r1 init script should change opts variable to ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Peter Volkov (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: init.d-depr-opts
  Show dependency tree
 
Reported: 2011-10-07 17:21 UTC by Bjarke Istrup Pedersen (RETIRED)
Modified: 2012-01-01 01:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch that changes opts to extra_commands (iptables-init-script.patch,515 bytes, patch)
2011-10-27 15:47 UTC, Jonathan Thibault
Details | Diff
use extra_[started_]commands (iptables-init.patch,458 bytes, patch)
2011-12-02 16:18 UTC, Michael Palimaka (kensington)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bjarke Istrup Pedersen (RETIRED) gentoo-dev 2011-10-07 17:21:01 UTC
The net-firewall/iptables-1.4.12.1-r1 init script uses variables deprecated by
sys-apps/openrc-0.9.x. See bug #381895 for details.

 * Use of the opts variable is deprecated and will be
 * removed in the future.
 * Please use extra_commands or extra_started_commands.
 * Loading iptables state and starting firewall ...      [ ok ]
Comment 1 Jonathan Thibault 2011-10-27 15:47:49 UTC
Created attachment 291013 [details, diff]
Patch that changes opts to extra_commands

Terribly trivial but hopefully it'll  help things along.  Tested the patch, works for me.
Comment 2 Bjarke Istrup Pedersen (RETIRED) gentoo-dev 2011-10-27 16:08:40 UTC
That patch is close to perfect, except it should be extra_started_commands , since those commands doesn't make sense to run while iptables isn't already started :)
Comment 3 Peter Volkov (RETIRED) gentoo-dev 2011-10-28 13:53:41 UTC
Hm, save and panic make save even if iptables is stopped :) I'll commit patch soon.
Comment 4 Bjarke Istrup Pedersen (RETIRED) gentoo-dev 2011-10-28 14:09:52 UTC
(In reply to comment #3)
> Hm, save and panic make save even if iptables is stopped :) I'll commit patch
> soon.

I see your point :)
But please add "reload" as extra_started_commands
Comment 5 Michael Palimaka (kensington) gentoo-dev 2011-12-02 16:18:09 UTC
Created attachment 294527 [details, diff]
use extra_[started_]commands

Updated patch for the sake of convenience.
Comment 6 Faustus 2011-12-07 15:56:43 UTC
This is already fixed in portage - close the bug?
Comment 7 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2012-01-01 01:21:46 UTC
This has been already fixed in CVS. Thanks!